Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Interface SubDeployer

All Known Implementing Classes:
  SARDeployer, SubDeployerSupport

public interface SubDeployer

The common interface for sub-deployer components which perform the actual deployment services for application components.

Version:
  `$Revision: 1.7.6.1 $`
Author:
  Jason Dillon, Toby Allsopp, Marc Fleury, Dimitris Andreadis

Field Summary
`static String` | `CREATE_NOTIFICATION` The notification type send when a SubDeployer completes create
`static String` | `DESTROY_NOTIFICATION` The notification type send when a SubDeployer completes destroy
`static String` | `INIT_NOTIFICATION` The notification type send when a SubDeployer completes init
`static int` | `RELATIVE_ORDER_100` Indicative relative suffix order
`static int` | `RELATIVE_ORDER_200`
`static int` | `RELATIVE_ORDER_300`
`static int` | `RELATIVE_ORDER_400`
`static int` | `RELATIVE_ORDER_500`
`static int` | `RELATIVE_ORDER_600`
`static int` | `RELATIVE_ORDER_700`
`static int` | `RELATIVE_ORDER_800`
`static int` | `RELATIVE_ORDER_900`
`static String` | `START_NOTIFICATION` The notification type send when a SubDeployer completes start
`static String` | `STOP_NOTIFICATION` The notification type send when a SubDeployer completes stop

Method Summary
`boolean` | `accepts(DeploymentInfo sdi)` The `accepts` method is called by MainDeployer to determine which deployer is suitable for a DeploymentInfo.
`void` | `create(DeploymentInfo sdi)` Set up the components of the deployment that do not refer to other components
`void` | `destroy(DeploymentInfo sdi)` The `destroy` method removes individual components
`int` | `getRelativeOrder()` Get the relative order of the specified suffixes
`javax.management.ObjectName` | `getServiceName()` Get the JMX ObjectName of the service that provides the SubDeployer
`String[]` | `getSuffixes()` Get an array of suffixes of interest to this subdeployer
`void` | `init(DeploymentInfo sdi)` The `init` method lets the deployer set a few properties of the DeploymentInfo, such as the watch url.
`void` | `setRelativeOrder(int relativeOrder)` Set the relative order of the specified suffixes
`void` | `setSuffixes(String[] suffixes)` Set an array of suffixes of interest to this subdeployer
`void` | `start(DeploymentInfo sdi)` The `start` method sets up relationships with other components.
`void` | `stop(DeploymentInfo sdi)` The `stop` method removes relationships between components.

Field Detail

### INIT_NOTIFICATION

    public static final String INIT_NOTIFICATION

  The notification type send when a SubDeployer completes init

  See Also:
    Constant Field Values

### CREATE_NOTIFICATION

    public static final String CREATE_NOTIFICATION

  The notification type send when a SubDeployer completes create

  See Also:
    Constant Field Values

### START_NOTIFICATION

    public static final String START_NOTIFICATION

  The notification type send when a SubDeployer completes start

  See Also:
    Constant Field Values

### STOP_NOTIFICATION

    public static final String STOP_NOTIFICATION

  The notification type send when a SubDeployer completes stop

  See Also:
    Constant Field Values

### DESTROY_NOTIFICATION

    public static final String DESTROY_NOTIFICATION

  The notification type send when a SubDeployer completes destroy

  See Also:
    Constant Field Values

### RELATIVE_ORDER_100

    public static final int RELATIVE_ORDER_100

  Indicative relative suffix order

  See Also:
    Constant Field Values

### RELATIVE_ORDER_200

    public static final int RELATIVE_ORDER_200

See Also:
  Constant Field Values

### RELATIVE_ORDER_300

    public static final int RELATIVE_ORDER_300

See Also:
  Constant Field Values

### RELATIVE_ORDER_400

    public static final int RELATIVE_ORDER_400

See Also:
  Constant Field Values

### RELATIVE_ORDER_500

    public static final int RELATIVE_ORDER_500

See Also:
  Constant Field Values

### RELATIVE_ORDER_600

    public static final int RELATIVE_ORDER_600

See Also:
  Constant Field Values

### RELATIVE_ORDER_700

    public static final int RELATIVE_ORDER_700

See Also:
  Constant Field Values

### RELATIVE_ORDER_800

    public static final int RELATIVE_ORDER_800

See Also:
  Constant Field Values

### RELATIVE_ORDER_900

    public static final int RELATIVE_ORDER_900

See Also:
  Constant Field Values

Method Detail

### getServiceName

    public javax.management.ObjectName getServiceName()

  Get the JMX ObjectName of the service that provides the SubDeployer

  Returns:
    JMX ObjectName of the service

### getSuffixes

    public String[] getSuffixes()

  Get an array of suffixes of interest to this subdeployer

  Returns:
    array of suffix strings

### setSuffixes

    public void setSuffixes(String[] suffixes)

  Set an array of suffixes of interest to this subdeployer

  Parameters:
    `suffixes` - array of suffix strings

### getRelativeOrder

    public int getRelativeOrder()

  Get the relative order of the specified suffixes

  Returns:
    the relative order of the specified suffixes

### setRelativeOrder

    public void setRelativeOrder(int relativeOrder)

  Set the relative order of the specified suffixes

  Parameters:
    `relativeOrder` - the relative order of the specified suffixes

### accepts

    public boolean accepts(DeploymentInfo sdi)

  The `accepts` method is called by MainDeployer to determine which deployer is suitable for a DeploymentInfo.

  Parameters:
    `sdi` - a `DeploymentInfo` value
  Returns:
    a `boolean` value

### init

    public void init(DeploymentInfo sdi)
              throws DeploymentException

  The `init` method lets the deployer set a few properties of the DeploymentInfo, such as the watch url.

  Parameters:
    `sdi` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### create

    public void create(DeploymentInfo sdi)
                throws DeploymentException

  Set up the components of the deployment that do not refer to other components

  Parameters:
    `sdi` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - Failed to deploy

### start

    public void start(DeploymentInfo sdi)
               throws DeploymentException

  The `start` method sets up relationships with other components.

  Parameters:
    `sdi` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### stop

    public void stop(DeploymentInfo sdi)
              throws DeploymentException

  The `stop` method removes relationships between components.

  Parameters:
    `sdi` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### destroy

    public void destroy(DeploymentInfo sdi)
                 throws DeploymentException

  The `destroy` method removes individual components

  Parameters:
    `sdi` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.